# ``twisted`.`internet`.`interfaces`.`IReactorSSL``

interface documentation

`class IReactorSSL(Interface): (source)`

Known implementations: `twisted.internet.posixbase.PosixReactorBase`, `twisted.internet.testing.MemoryReactor`, `twisted.internet.testing.RaisingMemoryReactor`

View In Hierarchy

Undocumented

Method | `connectSSL` | Connect a client Protocol to a remote SSL socket.
Method | `listenSSL` | Connects a given protocol factory to the given numeric TCP/IP port. The connection is a SSL one, using contexts created by the context factory.

def connectSSL(host, port, factory, contextFactory, timeout, bindAddress): (source)
Connect a client Protocol to a remote SSL socket.

Parameters
host:`str` | a host name
port:`int` | a port number
factory:`ClientFactory` | a `twisted.internet.protocol.ClientFactory` instance
contextFactory:`ClientContextFactory` | a `twisted.internet.ssl.ClientContextFactory` object.
timeout:`float` | number of seconds to wait before assuming the connection has failed.
bindAddress:`Optional[Tuple[str, int]]` | a (host, port) tuple of local address to bind to, or `None`.
Returns
`IConnector` | An object which provides `IConnector`.

def listenSSL(port, factory, contextFactory, backlog, interface): (source)
Connects a given protocol factory to the given numeric TCP/IP port. The connection is a SSL one, using contexts created by the context factory.

Parameters
port:`int` | a port number on which to listen
factory:`ServerFactory` | a `twisted.internet.protocol.ServerFactory` instance
contextFactory:`IOpenSSLContextFactory` | an implementor of `IOpenSSLContextFactory`
backlog:`int` | size of the listen queue
interface:`str` | the hostname to bind to, defaults to '' (all)
Returns
`int` | Undocumented